#memory-grid{
    width:630px;
    height:100%;
    position:absolute;
    right:0;
    top:40px;
}

/*Common Styles*/
#memory-grid li{
    border:3px solid #fff;
    border-radius:4px;
    margin:0 10px 18px 0;
    float:left;
    display:block;
    background-color:#fff;
    transition: all 0.3s;
    box-shadow:2px 2px 4px -2px #000;
	overflow:hidden;
}
#memory-grid li .image{
    display:block;
    width:100%;
    height:100%;
    border-radius:3px;
    background:50% 50% no-repeat;
    background-size: contain;
    background-color:#fff;
    cursor:pointer;
    overflow:hidden;
    position:relative;
    transition:transform 0.4s;
}

#memory-grid li .image:after{
    position:absolute;
    width:100%;
    height:100%;
    top:0;
    left:0;
    z-index:100;
    content:'';
    background-color:#de9f2b;
    transition:left 0.3s;
}
#memory-grid li.check .image:after,
#memory-grid li.correct .image:after{left:-100%;}
#memory-grid li.check{border-color:#915f7a ;background-color:#915f7a ;}
#memory-grid li.correct {border-color:#de9f2b;background-color:#de9f2b;box-shadow:0 0 0;}
/*#memory-grid li.correct .image{transform:scale(1.2);}*/

/*Hard Game Specifics - 4x4 grid*/
.hard #memory-grid li{
    width:150px;
    height:103px;
}
.hard #memory-grid li:nth-child(4n){margin-right:0;}
.hard #memory-grid li:nth-child(4n+1){clear:left;}

/*Easy Game Specifics - 4x2 grid*/
.easy #memory-grid li{
    width:150px;
    height:160px;
}
.easy #memory-grid li:nth-child(4n){margin-right:0;}
.easy #memory-grid li:nth-child(4n+1){clear:left;}
